Retrieve custom provider

Retrieve a specific custom provider by its primary key ID. <Note> **Sensitive fields**: The `api_key` and `extra_kwargs` fields are never returned in API responses for security reasons. </Note> ## Path parameters - `provider_id` *integer* **required**: The provider's primary key ID (numeric database ID). **Example** ``` 123 ``` ## Response Returns the provider object without sensitive fields. ```json 200 OK { "id": "my-azure-provider", "provider_id": "my-azure-provider", "provider_name": "My Azure Provider", "created_at": "2024-01-15T10:30:00Z", "updated_at": "2024-01-15T10:30:00Z" } ``` ```json 404 Not Found { "detail": "Not found." } ``` ```json 401 Unauthorized { "detail": "Authentication credentials were not provided." } ``` ```python Python provider_pk = 123 url = f"https://api.respan.ai/api/providers/{provider_pk}/" headers = { "Authorization": "Bearer YOUR_API_KEY" } response = requests.get(url, headers=headers) print(response.json()) ``` ```typescript TypeScript const providerPk = 123; const url = `https://api.respan.ai/api/providers/${providerPk}/`; const headers = { 'Authorization': 'Bearer YOUR_API_KEY' }; const response = await fetch(url, { method: 'GET', headers: headers }); const data = await response.json(); console.log(data); ``` ```bash cURL curl "https://api.respan.ai/api/providers/123/" \ -H "Authorization: Bearer YOUR_API_KEY" ```

Authentication

AuthorizationBearer
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys

Path parameters

provider_idintegerRequired

The provider’s primary key ID (numeric database ID).

Response

Successful response for Retrieve custom provider

Errors

401
Unauthorized Error